#include "art/game_player.h"
#include "art/game_tiles.h"
#include "device/device.h"
#include "map/game_map.h"
#include "game.h"
#include "sys/sys.h"

uint32_t game_frame;

const char* game_title() {
    return "Croc Party!";
}

void game_init() {
    sys_init();

    game_palette_init();
}

void game_destroy() {
    sys_destroy();
}

void game_update() {
    game_frame += 1;
}

void game_draw() {
    sys_cls(9);

    sys_map_draw(game_map, game_tiles, 0, 0, 0, 0, 32, 18);
    sys_sprite_draw_ext(
        game_player,
        (game_frame / 8) % 4 * 2, 144, 88, 2, 2, 
        false, false
    );
}
